# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rng/hisi-rng.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Hisilicon Random Number Generator

maintainers:
  - Kefeng Wang <wangkefeng.wang@huawei>

properties:
  compatible:
    enum:
      - hisilicon,hip04-rng
      - hisilicon,hip05-rng

  reg:
    maxItems: 1

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    rng@d1010000 {
      compatible = "hisilicon,hip05-rng";
      reg = <0xd1010000 0x100>;
    };
